package net.javacomm.protocol;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;



public class TestKonferenzraumUser {

  private final static Logger log = LogManager.getLogger(TestKonferenzraumUser.class);

  private KonferenzraumUser user;

  public TestKonferenzraumUser() {}



  @BeforeEach
  public void setUp() {
    user = new KonferenzraumUser();
  }



  @Test
  public void serialize() {
    user.setAnwesend(true);
    user.setBackgroundColor(-1);
    user.setNickname("anaconda");
    user.setMute(true);
    user.setWebsocketSession("1a");

    log.info(user.toString());

  }

}
